%define libmajor     0
%define pluginname   %{mklibname alsa-plugins}-dca
%define libname      %mklibname %name %libmajor
%define devellibname %mklibname %name -d


Summary:        DTS Coherent Acoustics encoder
Name:           dcaenc
Version:        3
Release:        %mkrel 1
License:        LGPLv2.1+
Group:          Sound/Utilities
URL:            https://gitlab.com/patrakov/dcaenc
Source0:        https://gitlab.com/patrakov/dcaenc/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:  kernel-headers >= 2.4.0
BuildRequires:  libalsa-devel >= %version

%description
DTS Coherent Acoustics encoder.

It may be useful if you want to create a DTS CD or a DTS soundtrack for a DVD
from a 6-channel PCM wav file using linux. Another use case is related to
real-time encoding of multichannel PCM audio output from arbitrary linux
applications for transmission over SPDIF (see %{pluginname} package).

%if "%distro_section" == "tainted"
%package -n %{libname}
Summary:        Libraries for DTS Coherent Acoustics encoder
Group:          System/Libraries

%description -n %{libname}
Libraries for DTS Coherent Acoustics encoder.


%package -n %{devellibname}
Summary:        Development sources for DTS Coherent Acoustics encoder
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}

%description -n %{devellibname}
Development sources for DTS Coherent Acoustics encoder.


%package -n %{pluginname}
Summary:        DTS Coherent Acoustics encoder plugin for ALSA
Group:          Sound/Utilities 
Requires:       libalsa

%description -n %{pluginname}
DTS Coherent Acoustics encoder plugin for ALSA.

Provides real-time encoding of multichannel PCM audio output from arbitrary
linux applications for transmission over SPDIF.
%endif

%if "%distro_section" == "tainted"
%prep
%autosetup -p1 -n %{name}-v%{version}

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build
%endif

%install
%if "%distro_section" == "tainted"
%make_install

# (cg) Activate the configuration by default when package is installed
mv %{buildroot}%{_datadir}/alsa/pcm %{buildroot}%{_datadir}/alsa/alsa.conf.d

%else
mkdir -p %{buildroot}%{_docdir}/%{name}
echo >%{buildroot}%{_docdir}/%{name}/README.urpmi <<EOF
This package is not available via the core media in Magiea.
You need to enable the 'tainted' repositories for a functioning build of this
software due to patent restrictions.
EOF
%endif

%files
%if "%distro_section" == "tainted"
%{_bindir}/dcaenc
%else
%{_docdir}/%{name}/README.urpmi
%endif

%if "%distro_section" == "tainted"
%files -n %{libname}
%{_libdir}/libdcaenc.so.%{libmajor}{,.*}

%files -n %{devellibname}
%{_includedir}/dcaenc.h
%{_libdir}/libdcaenc.so
%{_libdir}/pkgconfig/dcaenc.pc

%files -n %{pluginname}
%{_datadir}/alsa/alsa.conf.d/dca.conf
%{_libdir}/alsa-lib/*
%endif


%changelog
* Fri Jul 18 2025 daviddavid <daviddavid> 3-1.mga10
+ Revision: 2257104
- new version: 3

* Thu Jul 03 2025 umeabot <umeabot> 2-13.mga10.tainted
+ Revision: 2244353
- Mageia 10 Mass Rebuild

* Thu Apr 14 2022 umeabot <umeabot> 2-12.mga9.tainted
+ Revision: 1849650
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 umeabot <umeabot> 2-11.mga8.tainted
+ Revision: 1548860
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Sep 20 2018 wally <wally> 2-10.mga7.tainted
+ Revision: 1280531
- fix build on aarch64

* Thu Sep 20 2018 umeabot <umeabot> 2-9.mga7.tainted
+ Revision: 1277844
- Mageia 7 Mass Rebuild

* Thu Jan 28 2016 daviddavid <daviddavid> 2-8.mga6.tainted
+ Revision: 928455
- rebuild for arm

* Wed Oct 15 2014 umeabot <umeabot> 2-7.mga5.tainted
+ Revision: 742368
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2-6.mga5.tainted
+ Revision: 678692
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 2-5.mga4.tainted
+ Revision: 548155
- Mageia 4 rebuild

* Fri Jan 18 2013 colin <colin> 2-4.mga3.tainted
+ Revision: 389320
- Add a dummy build+readme for core pointing users to tainted

* Fri Jan 11 2013 umeabot <umeabot> 2-3.mga3.tainted
+ Revision: 348664
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 barjac <barjac> 2-2.mga3.tainted
+ Revision: 323097
- Change group(s) to new policy

* Sun Apr 15 2012 colin <colin> 2-1.mga2.tainted
+ Revision: 230904
- imported package dcaenc

